{ lib, ... }:
let
  inherit (lib.types) bool array string;
  inherit (lib) mkEnableOption;
in
{
  imports = [ ./networking ];

  options.modules.system = {
    type = {
      gaming.enable = lib.mkEnableOption {
        type = bool;
        default = false;
      };

      graphical.enable = lib.mkEnableOption {
        type = bool;
        default = false;
      };

      workstation.enable = lib.mkEnableOption {
        type = bool;
        default = false;
      };

      server.enable = lib.mkEnableOption {
        type = bool;
        default = false;
      };

      vm.enable = lib.mkEnableOption {
        type = lib.types.bool;
        default = false;
      };
    };
  };
}
